[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.Notification

Handles the notification when a component is added to or removed from the form.

## Declaration

Source position: forms.pp line 652

`protected procedure TCustomForm.Notification(`
`AComponent: TComponent;`
`Operation: TOperation`
`); override;`

## Arguments

`AComponent` |  | Component for the notification.
`Operation` |  | Operation performed for the component.

## Description

Notification is an overridden method in TCustomForm used to handle the notification when the component in AComponent has been added to or removed from the form instance. Operation is the action performed for the component.

Notification calls the inherited method on entry, and performs additional actions for the ActionList, Menu, and pop-up parent form used in the control.

## See also

TControl.Notification |  | Notification handler for insertion or deletion of components.